from dotenv import load_dotenv
load_dotenv()

from accounts import *
from economy import *

code = None

does_user_have_account = input("Do you have an account? (y/n): ")

if does_user_have_account == "y":
    email = input("Please enter your email: ")
    password = input("Please enter your password: ")

    code = find_account(code = None, email=email, password=password)
elif does_user_have_account == "n":
    email = input("Please enter your email: ")
    password = input("Please enter your password: ")
    name = input("Please enter your name: ")

    code = create_account(name, email, password)
else:
    print("That is not a valid answer")

while code is not None:
    balance = get_balance(code)
    print(f"Welcome to your bank account.\nBalance: {balance}")
    break